//
// HelloWorldClient.java
//
// This class creates the client-side service factory
// for the desired service, makes the remote procedure call,
// and displays the response.
//

package localhost.axis.HelloWorldService_jws;


public class HelloWorldClient {

public static void main(String [] args) throws Exception {

// Create an instance of service locator
localhost.axis.HelloWorldService_jws.HelloWorldServiceServiceLocator serviceLocator =
                new localhost.axis.HelloWorldService_jws.HelloWorldServiceServiceLocator();

// Create an instance of desired service
localhost.axis.HelloWorldService_jws.HelloWorldService service =
                serviceLocator.getHelloWorldService();

// Make the actual call to the service
String response = service.getMessage();

System.out.println(response);
}
}

